# $Revision: 1.45 $, $Date: 2009/04/03 21:05:37 $
Summary:	Very easy to use GNOME Telepathy client
Summary(pl.UTF-8):	Bardzo łatwy w użyciu klient Telepathy dla GNOME
Name:		empathy
Version:	2.26.0.1
Release:	1
License:	GPL v2
Group:		Applications/Communications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/empathy/2.26/%{name}-%{version}.tar.bz2
# Source0-md5:	e3b0e891c7eac3d6f3eb85373a6f4e25
URL:		http://live.gnome.org/Empathy
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	check >= 0.9.4
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	enchant-devel >= 1.2.0
BuildRequires:	evolution-data-server-devel >= 2.24.0
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-panel-devel >= 2.24.0
BuildRequires:	gstreamer-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	intltool >= 0.40.0
BuildRequires:	iso-codes >= 0.35
BuildRequires:	libcanberra-gtk-devel >= 0.4
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libnotify-devel >= 0.4.4
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.28
BuildRequires:	pkgconfig
BuildRequires:	python-pygtk-devel
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	telepathy-farsight-devel
BuildRequires:	telepathy-glib-devel >= 0.7.23
BuildRequires:	telepathy-mission-control-devel >= 4.61
Requires(post,postun):	gtk+2 >= 2:2.12.0
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
Suggests:	telepathy-butterfly
Suggests:	telepathy-gabble
Suggests:	telepathy-haze
Suggests:	telepathy-idle
Suggests:	telepathy-salut
Suggests:	telepathy-sofiasip
Obsoletes:	gnome-jabber
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Empathy aims at making Instant Messaging with Jabber as easy as
possible.

%description -l pl.UTF-8
Celem Empathy jest uczynienie komunikowania poprzez Jabbera tak łatwym
jak to tylko możliwe.

%package libs
Summary:	Libraries for Empathy
Summary(pl.UTF-8):	Biblioteki dla Empathy
Group:		Libraries

%description libs
Libraries for Empathy.

%description libs -l pl.UTF-8
Biblioteki dla Empathy.

%package devel
Summary:	Empathy header files
Summary(pl.UTF-8):	Pliki nagłówkowe Empathy
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.16.0
Requires:	libglade2-devel >= 1:2.6.2
Requires:	libxml2-devel >= 1:2.6.28
Requires:	telepathy-glib-devel >= 0.7.23
Requires:	telepathy-mission-control-devel >= 4.61

%description devel
Empathy header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe Empathy.

%package static
Summary:	Empathy static libraries
Summary(pl.UTF-8):	Statyczne biblioteki Empathy
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Empathy static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Empathy.

%package apidocs
Summary:	Empathy API documentation
Summary(pl.UTF-8):	Dokumentacja API Empathy
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Empathy API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Empathy.

%package -n python-%{name}
Summary:	Python module for Empathy
Summary(pl.UTF-8):	Moduł Pythona dla Empathy
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}

%description -n python-%{name}
Python module for Empathy.

%description -n python-%{name} -l pl.UTF-8
Moduł Pythona dla Empathy.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-compile-warnings=no \
	--disable-schemas-install \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install empathy.schemas
%gconf_schema_install GNOME_Megaphone_Applet.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall empathy.schemas
%gconf_schema_uninstall GNOME_Megaphone_Applet.schemas

%postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/empathy
%attr(755,root,root) %{_bindir}/empathy-logs
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/*
%{_sysconfdir}/gconf/schemas/empathy.schemas
%{_sysconfdir}/gconf/schemas/GNOME_Megaphone_Applet.schemas
%attr(755,root,root) %{_libdir}/nothere-applet
%attr(755,root,root) %{_libdir}/megaphone-applet
%{_libdir}/bonobo/servers/*.server
%{_datadir}/mission-control/profiles/*.profile
%{_mandir}/man1/empathy*.1*
%{_desktopdir}/*.desktop

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libempathy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libempathy.so.23
%attr(755,root,root) %{_libdir}/libempathy-gtk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libempathy-gtk.so.19

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libempathy.so
%attr(755,root,root) %{_libdir}/libempathy-gtk.so
%{_libdir}/libempathy.la
%{_libdir}/libempathy-gtk.la
%{_includedir}/libempathy
%{_includedir}/libempathy-gtk
%{_pkgconfigdir}/libempathy.pc
%{_pkgconfigdir}/libempathy-gtk.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libempathy.a
%{_libdir}/libempathy-gtk.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libempathy
%{_gtkdocdir}/libempathy-gtk

%files -n python-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/empathy.so
%attr(755,root,root) %{py_sitedir}/empathygtk.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: empathy.spec,v $
Revision 1.45  2009/04/03 21:05:37  patrys
- 2.26.0.1

Revision 1.44  2009/03/19 09:49:29  megabajt
- updated to 2.26.0 (new soname)

Revision 1.43  2009/02/23 22:12:22  arekm
- release 3

Revision 1.42  2008/11/06 17:00:22  arekm
- release 2

Revision 1.41  2008/10/23 20:44:17  patrys
- 2.24.1

Revision 1.40  2008/10/05 00:04:42  qwiat
- up to 2.24

Revision 1.39  2008/09/13 14:47:54  patrys
- drop python patch (we have working python-config now)

Revision 1.38  2008/09/12 21:02:41  patrys
- 2.23.92

Revision 1.37  2008/09/04 04:38:48  aredridel
- 2.23.91

Revision 1.36  2008/09/03 22:30:29  patrys
- 2.23.91

Revision 1.35  2008/08/19 10:25:19  patrys
- 2.23.90

Revision 1.34  2008/08/05 14:25:35  patrys
- 2.23.6

Revision 1.33  2008/07/23 20:58:07  patrys
- 0.23.4

Revision 1.32  2008-05-18 16:08:56  patrys
- 0.23.2

Revision 1.31  2008-04-30 21:35:23  wrobell
- ver. 0.23.1

Revision 1.30  2008-04-05 06:15:24  aredridel
- 0.22.1

Revision 1.29  2008-03-10 16:55:32  aredridel
- 0.22.0

Revision 1.28  2008-03-06 07:30:38  aredridel
- 0.21.91

Revision 1.27  2008-02-25 22:55:13  czarny
- BR: esound-devel

Revision 1.26  2008-02-10 02:33:54  aredridel
- 0.21.90

Revision 1.25  2008-01-17 04:27:17  aredridel
- 0.21.5.2

Revision 1.24  2008-01-14 16:54:54  patrys
- 0.21.5

Revision 1.23  2007-12-20 03:08:39  patrys
- 0.21.4

Revision 1.22  2007-12-17 01:40:19  aredridel
- 0.21.3

Revision 1.21  2007-11-25 00:11:30  megabajt
- added apidocs subpackage
- release 2

Revision 1.20  2007-11-14 14:35:50  megabajt
- updated to 0.21.2
- use better way to fix locale name

Revision 1.19  2007-11-04 17:06:10  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.18  2007/10/29 09:50:49  megabajt
- updated to 0.21.1

Revision 1.17  2007/10/01 15:24:37  patrys
- 0.14

Revision 1.16  2007/09/28 15:20:15  patrys
- 0.13

Revision 1.15  2007/08/26 00:17:27  qboosh
- pl for python-
- python- R: -libs

Revision 1.14  2007/08/25 23:11:01  aredridel
- BR: python-devel

Revision 1.13  2007/08/25 23:09:58  aredridel
- 0.12

Revision 1.12  2007/08/13 14:18:07  patrys
- 0.11

Revision 1.11  2007/08/04 21:54:25  qboosh
- unified

Revision 1.10  2007/07/30 11:44:22  patrys
- drop update desktop datbase, unneeded and causes bad macro expansion

Revision 1.9  2007/07/30 11:33:54  patrys
- ldconfig in post

Revision 1.8  2007/07/30 11:32:58  patrys
- update desktop database

Revision 1.7  2007/07/30 11:30:49  patrys
- 0.10

Revision 1.6  2007/06/21 21:49:54  megabajt
- updated to 0.8

Revision 1.5  2007/06/17 21:01:27  megabajt
- Suggests appropriate telepathy managers

Revision 1.4  2007/06/10 17:14:48  megabajt
- updated to 0.7
- revised deps

Revision 1.3  2007/06/10 14:19:32  megabajt
- missing BR: telepathy-mission-control-devel

Revision 1.2  2007/06/02 19:55:52  qboosh
- pl

Revision 1.1  2007/05/31 22:44:19  aredridel
- added
